跳转到内容
打开/关闭菜单
打开/关闭外观设置菜单
打开/关闭个人菜单
未登录
登录后可编辑和发表评论。

Template:Producer Music Card/styles.css

模板页面
.producer_music_card {
    display: inline-flex;
    position: relative;
    border-radius: 9px;
    margin: .5em 1em .5em 0;
    width: 330px;
    height: 8em;
    box-shadow: #454f54 5px 5px 7px -3px;
    overflow: hidden;
}

.producer_music_card * {
    box-sizing: border-box;
    overflow: hidden;
    text-overflow: clip;
    white-space: nowrap;

}

.producer_music_card-title {
    height: 28px;
	width: 100%;
	overflow: hidden;
	white-space: nowrap;
    font-size: 20px;
}

.producer_music_card-info {
  position: relative;
  z-index: 1;

  display: flex;
  flex-direction: column;
  color: black;
  width: 100%;
  height: 100%;
  padding: 0.5em 1em 0.5em 1em;
  justify-content: space-between;
  background-color: rgba(255, 255, 255, 0.5);

  text-shadow: 0px 1px 1px white, 0px 1px 2px white, 0px 2px 4px white;
}


.producer_music_card-info a {
	color: black;
}

.producer_music_card-info a:visited {
	color: black;
}

.producer_music_card-info a:hover {
	text-decoration: underline;
}



@media (prefers-color-scheme: dark) {
  .producer_music_card-info {
    background-color: rgba(0, 0, 0, 0.5);
    color: white;
    text-shadow: 0px 1px 1px black, 0px 1px 2px black, 0px 2px 4px black;
  }

  .producer_music_card-info a {
    color: white;
  }

  .producer_music_card-info a:visited {
    color: white;
  }
}

.producer_music_card-info-space {
    height: .75em;
}

.producer_music_card-global-bold {
    font-weight: bold;
}

.producer_music_card-split {
    height: 26px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.producer_music_card-center {
    height: 56px;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.producer_music_card-note {
    font-size: 0.8em;
    line-height: 1;
    max-height: 24px;
    white-space: normal;
}

.producer_music_card-link {
    margin: 0 .25em;
}

.producer_music_card-link:last-child {
    margin: 0 .5em 0 .25em;
}

.producer_music_card-background {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    overflow: hidden;
    background: #eee;
    
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden; 
}

.producer_music_card-background-mask {
    position: relative;
    min-width: 100%;
    min-height: 100%;
}

.producer_music_card-background-mask img {
    width: 100%;
    height: 100%;
    object-fit: cover; 
}




/* [[分类:在模板命名空间下的CSS页面]] */